/* チェックボックスをスライドボタン（トグルスイッチ）に化けさせる、すごいcss	*/

.switch {							/* トグルスイッチ全体 */
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
}

.switch input {						/* チェックボックスは非表示 */
	pacity: 0;
	width: 0;
	height: 0;
}

.slider {							/* スライダー部分 */
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	transition: 0.4s;
	border-radius: 34px;
}

.slider:before {					/* 丸いノブ */
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	transition: 0.4s;
	border-radius: 50%;
}

input:checked + .slider {			/* ON のときの背景色 */
	background-color: #4CAF50;
}

input:checked + .slider:before {	/* ON のときノブを右へ移動 */
	transform: translateX(26px);
}
